## markdownpart 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(markdownpart VERSION 0.1.1)

set(QT_MIN_VERSION "5.14.0")
set(KF_MIN_VERSION "5.66.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Parts
)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"markdownpart\")

configure_file(markdownpartconfig.hpp.cmake ${CMAKE_CURRENT_BINARY_DIR}/markdownpartconfig.hpp)

set(markdownpart_SRCS
    searchtoolbar.cpp
    markdownview.cpp
    markdownpartfactory.cpp
    markdownpart.cpp
    markdownbrowserextension.cpp
)

ki18n_wrap_ui(markdownpart_SRCS searchtoolbar.ui)

qt5_add_resources(markdownpart_SRCS
    markdownpart.qrc
)

add_library(markdownpart  MODULE ${markdownpart_SRCS})
kcoreaddons_desktop_to_json(markdownpart markdownpart.desktop)

target_link_libraries(markdownpart
    KF5::I18n
    KF5::Parts
    Qt5::Widgets
)

install(TARGETS markdownpart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
install(FILES markdownpart.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(
    FILES org.kde.markdownpart.metainfo.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== debian/changelog ===
markdownpart (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Lower-min-requirements-to-Qt-5.14-KF-5.66.patch: drop,
      backported from upstream
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Oct 2020 23:39:05 +0200

markdownpart (0.1.0-1) unstable; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 15:01:06 +0200

=== debian/control ===
Source: markdownpart
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               libkf5i18n-dev (>= 5.66.0~),
               libkf5parts-dev (>= 5.66.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.14.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/markdownpart
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/markdownpart
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/markdownpart.git

Package: markdownpart
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Markdown KPart
 MarkdownPart is a small KDE KParts plugin to render Markdown documents
 in any application which uses the KPart system.

## markdownpart 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,16 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(markdownpart VERSION 0.1.1)
+# Release Service version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+
+# Bump MARKDOWNPART_BASE_VERSION once new features are added
+set(MARKDOWNPART_BASE_VERSION "0.1")
+set(MARKDOWNPART_VERSION "${MARKDOWNPART_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")
+
+project(markdownpart VERSION ${MARKDOWNPART_VERSION})
 
 set(QT_MIN_VERSION "5.14.0")
 set(KF_MIN_VERSION "5.66.0")

=== debian/changelog ===
markdownpart (20.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream uses the release-service, so switch the watch file, and the GPG
    signing key to it.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2020 11:40:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5parts-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.14.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/markdownpart
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/markdownpart

## markdownpart 20.12.1

=== debian/changelog ===
markdownpart (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:16:03 +0000

## markdownpart 20.12.2

=== debian/changelog ===
markdownpart (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:53 +0000

## markdownpart 20.12.3

=== debian/changelog ===
markdownpart (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:29:33 +0000

## markdownpart 21.04.0

=== debian/changelog ===
markdownpart (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:47:21 +0100

## markdownpart 21.04.1

=== debian/changelog ===
markdownpart (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:16:20 +0100

## markdownpart 21.04.2

=== debian/changelog ===
markdownpart (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:55 +0100

## markdownpart 21.07.80

=== debian/changelog ===
markdownpart (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:55 +0100

markdownpart (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:24 +0100

## markdownpart 21.07.90

=== debian/changelog ===
markdownpart (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:40 +0100

## markdownpart 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -12,8 +12,8 @@
 
 project(markdownpart VERSION ${MARKDOWNPART_VERSION})
 
-set(QT_MIN_VERSION "5.14.0")
-set(KF_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.80.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -45,7 +45,7 @@
     -DQT_NO_KEYWORDS
     -DQT_NO_FOREACH
     -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054600
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"markdownpart\")

configure_file(markdownpart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/markdownpart.desktop @ONLY)

add_library(markdownpart MODULE)

target_sources(markdownpart PRIVATE
    searchtoolbar.cpp
    markdownview.cpp
    markdownpartfactory.cpp
    markdownpart.cpp
    markdownbrowserextension.cpp

    markdownpart.qrc
)

ki18n_wrap_ui(markdownpart searchtoolbar.ui)

kcoreaddons_desktop_to_json(markdownpart ${CMAKE_CURRENT_BINARY_DIR}/markdownpart.desktop)

target_link_libraries(markdownpart
    KF5::I18n
    KF5::Parts
    Qt::Widgets
)

install(TARGETS markdownpart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/markdownpart.desktop  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(
    FILES org.kde.markdownpart.metainfo.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== debian/changelog ===
markdownpart (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:11:04 +0100

## markdownpart 21.08.1

=== debian/changelog ===
markdownpart (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:16 +0100

## markdownpart 21.08.3

=== debian/changelog ===
markdownpart (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:22 +0000

## markdownpart 21.11.80

=== debian/changelog ===
markdownpart (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:32:53 +0000

## markdownpart 21.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MARKDOWNPART_BASE_VERSION once new features are added
@@ -13,7 +13,7 @@
 project(markdownpart VERSION ${MARKDOWNPART_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF_MIN_VERSION "5.80.0")
+set(KF_MIN_VERSION "5.85.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -36,16 +36,7 @@
 add_definitions(
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_CAST_TO_ASCII
-    -DQT_NO_CAST_FROM_ASCII
-    -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_STRICT_ITERATORS
-    -DQT_NO_KEYWORDS
-    -DQT_NO_FOREACH
-    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055400
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== debian/changelog ===
markdownpart (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:13:39 +0000

markdownpart (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:26:09 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/markdownpart
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/markdownpart
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/markdownpart.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/markdownpart
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/markdownpart
 
 Package: markdownpart
 Architecture: any

## markdownpart 21.12.0

=== debian/changelog ===
markdownpart (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:49 +0000

## markdownpart 21.12.1

=== debian/changelog ===
markdownpart (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:45 +0000

## markdownpart 21.12.2

=== debian/changelog ===
markdownpart (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:55 +0000

## markdownpart 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MARKDOWNPART_BASE_VERSION once new features are added

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,11 @@
     markdownpartfactory.cpp
     markdownpart.cpp
     markdownbrowserextension.cpp
+    markdownview.hpp
+    markdownbrowserextension.hpp
+    markdownpart.hpp
+    searchtoolbar.hpp
+    markdownpartfactory.hpp
 
     markdownpart.qrc
 )

=== debian/changelog ===
markdownpart (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: markdownpart
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),

## markdownpart 22.04.0

=== debian/changelog ===
markdownpart (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:52 +0100

## markdownpart 22.04.3

=== debian/changelog ===
markdownpart (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:40 +0100

markdownpart (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:21 +0100

markdownpart (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:37 +0100

## markdownpart 22.08.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump MARKDOWNPART_BASE_VERSION once new features are added
set(MARKDOWNPART_BASE_VERSION "0.1")
set(MARKDOWNPART_VERSION "${MARKDOWNPART_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(markdownpart VERSION ${MARKDOWNPART_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF_MIN_VERSION "5.91.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Parts
)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.91
)

add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
markdownpart (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:35 +0100

## markdownpart 22.08.1

=== debian/changelog ===
markdownpart (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:26 +0100

## markdownpart 22.08.3

=== debian/changelog ===
markdownpart (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:49 +0000

## markdownpart 22.11.80

=== debian/changelog ===
markdownpart (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:56:20 +0000

## markdownpart 22.11.90

=== debian/changelog ===
markdownpart (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:14:05 +0000

## markdownpart 22.12.0

=== debian/changelog ===
markdownpart (22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 11:50:14 +0000

markdownpart (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:02 +0100

markdownpart (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:09 +0100

markdownpart (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:55 +0000

markdownpart (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Apr 2022 00:01:11 +0200

markdownpart (21.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.80.0

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 10:18:34 +0200

## markdownpart 22.12.1

=== debian/changelog ===
markdownpart (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:21:36 +0000

## markdownpart 22.12.2

=== debian/changelog ===
markdownpart (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:45 -0600

## markdownpart 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MARKDOWNPART_BASE_VERSION once new features are added
@@ -12,7 +12,7 @@
 
 project(markdownpart VERSION ${MARKDOWNPART_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
+set(QT_MIN_VERSION "5.15.2")
 set(KF_MIN_VERSION "5.91.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
markdownpart (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:05 +0100

markdownpart (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:02 +0100

=== debian/control ===
Source: markdownpart
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5i18n-dev (>= 5.91.0~),
               libkf5parts-dev (>= 5.91.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/markdownpart
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/markdownpart
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/markdownpart.git

Package: markdownpart
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE Markdown KPart
 MarkdownPart is a small KDE KParts plugin to render Markdown documents
 in any application which uses the KPart system.

## markdownpart 23.04.2

=== debian/changelog ===
markdownpart (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:05 +0100

markdownpart (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:04 +0000

## markdownpart 23.04.3

=== debian/changelog ===
markdownpart (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:37 +0100

## markdownpart 23.07.90

=== debian/changelog ===
markdownpart (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:12 +0100

## markdownpart 23.08.1

=== debian/changelog ===
markdownpart (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:47 +0100

markdownpart (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:48 +0100

## markdownpart 23.08.2

=== debian/changelog ===
markdownpart (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:36 +0100

## markdownpart 23.08.3

=== debian/changelog ===
markdownpart (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:29 +0000

## markdownpart 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MARKDOWNPART_BASE_VERSION once new features are added
@@ -23,18 +23,24 @@
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMDeprecationSettings)
 include(FeatureSummary)
-
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Widgets
 )
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     I18n
     Parts
 )
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.91
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101
 )
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"markdownpart\")

configure_file(markdownpart.json.in ${CMAKE_CURRENT_BINARY_DIR}/markdownpart.json @ONLY)

add_library(markdownpart MODULE)

target_sources(markdownpart PRIVATE
    searchtoolbar.cpp
    markdownview.cpp
    markdownpartfactory.cpp
    markdownpart.cpp
    markdownbrowserextension.cpp
    markdownview.hpp
    markdownbrowserextension.hpp
    markdownpart.hpp
    searchtoolbar.hpp
    markdownpartfactory.hpp

    markdownpart.qrc
)

ki18n_wrap_ui(markdownpart searchtoolbar.ui)

target_link_libraries(markdownpart
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Parts
    Qt${QT_MAJOR_VERSION}::Widgets
)

install(TARGETS markdownpart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)

install(
    FILES org.kde.markdownpart.metainfo.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

=== debian/changelog ===
markdownpart (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:54:28 +1100

markdownpart (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:53:24 +0000

markdownpart (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:27:34 -0700

markdownpart (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:59 +0000

=== debian/control ===
Source: markdownpart
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5i18n-dev (>= 5.91.0~),
               libkf5parts-dev (>= 5.91.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/markdownpart
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/markdownpart
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/markdownpart

Package: markdownpart
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Markdown KPart
 MarkdownPart is a small KDE KParts plugin to render Markdown documents
 in any application which uses the KPart system.

## markdownpart 24.08.2

=== debian/changelog ===
markdownpart (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:32 -0500

markdownpart (24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 13:40:29 -0500

## markdownpart 24.12.0

=== debian/changelog ===
markdownpart (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:38:19 +0100

=== debian/control ===
Source: markdownpart
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6i18n-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/markdownpart
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/markdownpart
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/markdownpart.git

Package: markdownpart
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE Markdown KPart
 MarkdownPart is a small KDE KParts plugin to render Markdown documents
 in any application which uses the KPart system.

## markdownpart 24.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump MARKDOWNPART_BASE_VERSION once new features are added
set(MARKDOWNPART_BASE_VERSION "0.1")
set(MARKDOWNPART_VERSION "${MARKDOWNPART_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(markdownpart VERSION ${MARKDOWNPART_VERSION})

set(QT_MIN_VERSION "6.7.0")
set(KF_MIN_VERSION "6.3.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)
include(FeatureSummary)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    Parts
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.7
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
markdownpart (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:39:58 +0000

markdownpart (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:24:11 +0000

markdownpart (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:46 +0000

markdownpart (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 19:31:07 +0000

markdownpart (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:29 +0000

## markdownpart 24.12.2

=== debian/changelog ===
markdownpart (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:32 +0000

## markdownpart 24.12.3

=== debian/changelog ===
markdownpart (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:43 +0000

## markdownpart 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MARKDOWNPART_BASE_VERSION once new features are added
@@ -34,7 +34,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.0
-    KF 6.7
+    KF 6.12.0
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 add_subdirectory(src)

=== debian/changelog ===
markdownpart (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf6parts-dev (>= 6.3.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/utilities/markdownpart
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/markdownpart

## markdownpart 25.04.1

=== debian/changelog ===
markdownpart (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:17 +0100

markdownpart (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:03:48 +0100

## markdownpart 25.04.2

=== debian/changelog ===
markdownpart (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:29 +0100

## markdownpart 25.04.3

=== debian/changelog ===
markdownpart (25.04.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 13:19:32 +0000

markdownpart (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:01:24 +0000

markdownpart (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:11:23 +0000

markdownpart (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:51:26 +0000

markdownpart (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:07:13 +0000

markdownpart (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:37:26 +0000

markdownpart (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:04:51 +0000

markdownpart (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:57:07 +0000

markdownpart (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:52:27 +0000

markdownpart (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:08:48 +0000

markdownpart (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:11:35 +0000

markdownpart (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:03:52 +0000

markdownpart (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:46:14 +0000

markdownpart (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:05:06 +0000

markdownpart (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:48:53 +0000

markdownpart (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:38:27 +0000

markdownpart (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:17:47 +0000

markdownpart (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:35:53 +0000

markdownpart (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:55:25 +0000

markdownpart (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:22:12 +0000

markdownpart (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:26:09 +0000

markdownpart (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:25:28 +0000

markdownpart (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:02:48 +0000

markdownpart (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:35:54 +0000

markdownpart (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:54:24 +0000

markdownpart (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:32:03 +0000

markdownpart (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:06:15 +0000

markdownpart (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:13:10 +0000

markdownpart (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:35:49 +0000

markdownpart (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:49:26 +0000

markdownpart (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:34:00 +0000

markdownpart (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:20:04 +0000

markdownpart (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:43:31 +0000

markdownpart (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:40:24 +0000

markdownpart (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:53:44 +0000

markdownpart (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:34 +0000

markdownpart (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:25 +0000

markdownpart (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:52:27 +0000

markdownpart (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:15 +0000

markdownpart (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:46:43 +0000

markdownpart (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:13 +0000

markdownpart (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:08:51 +0000

markdownpart (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:49 +0000

markdownpart (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:42 +0000

markdownpart (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:05:07 +0000

markdownpart (20.12.2-0neon) focal; urgency=medium

  * New release



## markdownpart 25.07.80

=== debian/changelog ===
markdownpart (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:26:29 +0100

markdownpart (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:19 +0100

## markdownpart 25.07.90

=== debian/changelog ===
markdownpart (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:01:13 +0100

## markdownpart 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -34,7 +34,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.8.0
-    KF 6.12.0
+    KF 6.14.0
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 add_subdirectory(src)

=== debian/changelog ===
markdownpart (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 07:26:37 +0000

markdownpart (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:43:53 +0000

## markdownpart 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump MARKDOWNPART_BASE_VERSION once new features are added

=== debian/changelog ===
markdownpart (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:45:02 +0000

markdownpart (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:16:08 +0000

## markdownpart 25.08.1+p24.04+vstable+git20250910.0546

=== debian/changelog ===
markdownpart (25.08.1+p24.04+vstable+git20250910.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:46:27 +0000

## markdownpart 25.08.1+p24.04+vstable+git20251001.1215

=== debian/changelog ===
markdownpart (25.08.1+p24.04+vstable+git20251001.1215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:15:26 +0000

## markdownpart 25.08.2

=== debian/changelog ===
markdownpart (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:30 +0100

markdownpart (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:16 +0100

markdownpart (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:43 +0100

=== debian/control ===
Source: markdownpart
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6i18n-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/markdownpart
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/markdownpart
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/markdownpart

Package: markdownpart
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE Markdown KPart
 MarkdownPart is a small KDE KParts plugin to render Markdown documents
 in any application which uses the KPart system.

## markdownpart 25.08.2+p24.04+vstable+git20251015.1453

=== debian/changelog ===
markdownpart (25.08.2+p24.04+vstable+git20251015.1453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:53:25 +0000

markdownpart (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:57:30 +0000

=== debian/control ===
Source: markdownpart
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/markdownpart
Vcs-Git: https://invent.kde.org/neon/kde/markdownpart.git
Vcs-Browser: https://invent.kde.org/neon/kde/markdownpart
Maintainer: Neon CI <neon@kde.org>

Package: markdownpart
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Markdown KPart
 MarkdownPart is a small KDE KParts plugin to render Markdown documents
 in any application which uses the KPart system.

## markdownpart 25.08.2+p24.04+vstable+git20251019.0320

=== debian/changelog ===
markdownpart (25.08.2+p24.04+vstable+git20251019.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:20:44 +0000

## markdownpart 25.08.2+p24.04+vstable+git20251031.0924

=== debian/changelog ===
markdownpart (25.08.2+p24.04+vstable+git20251031.0924-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:24:43 +0000

## markdownpart 25.08.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,12 +22,12 @@
 ki18n_wrap_ui(markdownpart searchtoolbar.ui)
 
 target_link_libraries(markdownpart
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::Parts
-    Qt${QT_MAJOR_VERSION}::Widgets
+    KF6::I18n
+    KF6::Parts
+    Qt6::Widgets
 )
 
-install(TARGETS markdownpart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)
+install(TARGETS markdownpart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)
 
 install(
     FILES org.kde.markdownpart.metainfo.xml

=== debian/changelog ===
markdownpart (25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:39:14 +0000

markdownpart (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:03 +1000
